ARES_PARSE_TXT_REPLY(3)

NAME
ares_parse_txt_reply - Parse a reply to a DNS query of type TXT

SYNOPSIS
#include <ares.h>

int ares_parse_txt_reply(const unsigned char* abuf, int alen,
struct ares_txt_reply **txt_out, int *ntxtreply);

DESCRIPTION
The ares_parse_txt_reply function parses the response to a query of type TXT into a struct ares_txt_reply The parameters abuf and alen give the contents of the response. The result is stored in allocated memory and a pointer to it stored into the variable pointed to by txt_out. The number of responses is stored into the variable pointed to by ntxtreply. It is the caller's responsibility to free the resulting txt_out structure when it is no longer needed.

The structure ares_txt_reply contains the following fields:

struct ares_txt_reply {
  unsigned int  length;
  unsigned char *txt;
};

RETURN VALUES
ares_parse_txt_reply can return any of the following values:

ARES_SUCCESS
    The response was successfully parsed.

ARES_EBADRESP
    The response was malformatted.

ARES_ENODATA
    The response did not contain an answer to the query.

ARES_ENOMEM
    Memory was exhausted.

SEE ALSO
ares_query(3)

AUTHOR
Written by Jakub Hrozek <jhrozek@redhat.com>, on behalf of Red Hat, Inc http://www.redhat.com